﻿// -----------------------------------------------------------------------
// <copyright file="CustomSummaryCalculator.cs" company="Microsoft">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace CustomCalculator.Controls
{
    using System;
    using Infragistics.Windows.DataPresenter;

    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class CustomSummaryCalculator : SummaryCalculator
    {
        int _count = 0;
        public override void Aggregate(object dataValue, SummaryResult summaryResult, Record record)
        {
            if (record.IsSelected)
            {
                _count++;
            }
        }

        public override void BeginCalculation(SummaryResult summaryResult)
        {
            _count = 0;
        }

        public override bool CanProcessDataType(Type dataType)
        {
            return true;
        }

        public override string Description
        {
            get { return "Count of the selected records"; }
        }

        public override object EndCalculation(SummaryResult summaryResult)
        {
            return _count;
        }

        public override string Name
        {
            get { return "Selected"; }
        }

        public override bool IsCalculationAffectedBySort
        {
            get
            {
                return false;
            }
        }
    }


}
